# Animal Crossing New Horizons Critterpedia

![Deployment](https://github.com/xhsun/acnh-critters/workflows/Deployment/badge.svg)

This is a companion web app for Animal Crossing: New Horizons. Main purpose of this application is to show people what is available to catch for the selected month, default to current month, and which critter will be leaving soon.

![Change Hemisphere](https://i.imgur.com/jWPGJo2.gif)

_Note: The critter information are extracted from [Animal Crossing Wiki](https://animalcrossing.fandom.com/wiki/Animal_Crossing_Wiki) and then hosted on GitHub Pages as a static REST API (check out [the repository](https://github.com/xhsun/acnh-api))._

## Run the project locally

Since this application is an [Angular](https://angular.io/) application, make sure you have [Node.js](https://nodejs.org/en/) version 18+ installed in your machine. Then run `npm install` to install all the necessary packages. Once all packages are installed, run `npm start` for the dev server, which will be available at `http://localhost:4200/`.

## Contributing

If you find anything that is not working as it should be, please don't hesitate to open an issue in the issue tracker.

_Note: When reporting an issue, please include what you've done that lead to the issue._

Or, if you feel like it, you can always fork and try to fix it yourself.
Somethings to know when contributing code:

- Try to adhere to the current code style of this project

- Try to run some testes to make sure you didn't accidentally break anything before creating a pull request

- It would help me to review your code if you tell me what you are trying to do in the pull request

I really do appreciate your effort to help me to improve this project!
